<?php
declare(strict_types=1);

namespace App\Entity\Message;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
#[ORM\Table(name: 'ReportMessage')]
//#[Auditable]
#[ORM\Entity]
class ReportSms extends AbstractReport
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(targetEntity: Sms::class ,inversedBy: 'reports')]
    #[ORM\JoinColumn('message_id')]
    private Sms $sms;

//    #[ORM\Column(length: 255)]
//    private string $mobile;

    #[ORM\Column(nullable: true)]
    private ?string $smsId;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getSms(): ?Sms
    {
        return $this->sms;
    }

    public function setSms(?Sms $sms): self
    {
        $this->sms = $sms;

        return $this;
    }

//    public function setMobile(string $mobile): self
//    {
//        $this->mobile = $mobile;
//        return $this;
//    }
//
//    public function getMobile(): string
//    {
//        return $this->mobile;
//    }

    public function setSmsId(string $smsId): self
    {
        $this->smsId = $smsId;
        return $this;
    }

    public function getSmsId(): ?string
    {
        return $this->smsId;
    }
}
